# Bookshelf: get

Retrieves a specific [Bookshelf resource](https://developers.google.com/books/docs/v1/reference/bookshelves) for the specified user.
[Try it now](https://developers.google.com/books/docs/v1/reference/bookshelves/get#try-it).

More information about user IDs can be found in the section [Google Books IDs](https://developers.google.com/books/docs/v1/using#ids).

## Request

### HTTP Request

```
GET https://www.googleapis.com/books/v1/users/userId/bookshelves/shelf
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `shelf` | `string` | ID of bookshelf to retrieve. |
| `userId` | `string` | ID of user for whom to retrieve bookshelves. |
| **Optional Parameters** |||
| `source` | `string` | String to identify the originator of this request. |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Bookshelf resource](https://developers.google.com/books/docs/v1/reference/bookshelves#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.